com.gisgraphy.fulltext

## Class OutputstreamResponseWrapper

- java.lang.Object
- - org.apache.solr.client.solrj.ResponseParser
  - - com.gisgraphy.fulltext.OutputstreamResponseWrapper

-     public class OutputstreamResponseWrapper
      extends org.apache.solr.client.solrj.ResponseParser

  Wrapper that must be used when we want the fulltext query to be serialize into an output stream
  Since:
    solr 1.3
  Author:
    David Masclet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputstreamResponseWrapper(OutputStream outputStream, String writerType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncoding()`
    `String` | `getWriterType()`
    `org.apache.solr.common.util.NamedList<Object>` | `processResponse(InputStream inputStream, String encoding)`
    `org.apache.solr.common.util.NamedList<Object>` | `processResponse(Reader reader)`

    - ### Methods inherited from class org.apache.solr.client.solrj.ResponseParser

      `getVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

  - ### Constructor Detail

    - #### OutputstreamResponseWrapper

          public OutputstreamResponseWrapper(OutputStream outputStream,
                                     String writerType)

      Parameters:
        `outputStream` - The OutpuStream to serialize the fulltext response in
        `writerType` - The writerType (aka : the wt parameter)

  - ### Method Detail

    - #### getWriterType

          public String getWriterType()

      Specified by:
        `getWriterType` in class `org.apache.solr.client.solrj.ResponseParser`

    - #### processResponse

          public org.apache.solr.common.util.NamedList<Object> processResponse(Reader reader)

      Specified by:
        `processResponse` in class `org.apache.solr.client.solrj.ResponseParser`

    - #### processResponse

          public org.apache.solr.common.util.NamedList<Object> processResponse(InputStream inputStream,
                                                                      String encoding)

      Specified by:
        `processResponse` in class `org.apache.solr.client.solrj.ResponseParser`

    - #### getEncoding

          public String getEncoding()

      Returns:
        The encoding of the response

Copyright © 2015. All rights reserved.